from gi.repository import Gtk, Adw

@Gtk.Template(resource_path='/ru/eepm/PlayGUI/widgets/flagsdialog.ui')
class FlagsDialog(Adw.Dialog):
    __gtype_name__ = 'FlagsDialog'
    auto_row = Gtk.Template.Child()
    ipfs_row = Gtk.Template.Child()
    force_row = Gtk.Template.Child()

    def __init__(self, **kwargs):
        super().__init__(**kwargs)

    def ipfs(self):
        if self.ipfs_row.get_active():
            return "--ipfs"
        else:
            return ""

    def force(self):
        if self.force_row.get_active():
            return "--force"
        else:
            return ""

    def auto(self):
        if self.auto_row.get_active():
            return "--auto"
        else:
            return ""
